Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class PublishResult

    java.lang.Object
      com.amazonaws.services.sns.model.PublishResult

    public class PublishResult

extends Object

Publish Result

Constructor Summary
`PublishResult()`

Method Summary
`String` | `getMessageId()` Unique identifier assigned to the published message.
`void` | `setMessageId(String messageId)` Unique identifier assigned to the published message.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PublishResult` | `withMessageId(String messageId)` Unique identifier assigned to the published message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PublishResult

    public PublishResult()

Method Detail

### getMessageId

    public String getMessageId()

  Unique identifier assigned to the published message.

  Returns:
    Unique identifier assigned to the published message.

### setMessageId

    public void setMessageId(String messageId)

  Unique identifier assigned to the published message.

  Parameters:
    `messageId` - Unique identifier assigned to the published message.

### withMessageId

    public PublishResult withMessageId(String messageId)

  Unique identifier assigned to the published message.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messageId` - Unique identifier assigned to the published message.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.